petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecWhichBetween

Creates an index set containing the indices where VecLow < V < VecHigh

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecWhichBetween(Vec VecLow, Vec V, Vec VecHigh, IS *S)

Collective on S

### Input Parameters

| VecLow | - lower bound
| V | - Vector to compare
| VecHigh | - higher bound

### OutputParameter

S -The index set containing the indices i where veclow[i] < v[i] < vechigh[i]

### Notes

The vectors must have the same parallel layout

For complex numbers this only compares the real part

### Level

advanced

### Location

src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages